Description

Perhaps a way to increase the flexibility not having to follow the many request of the kind "why don't you add this option?" would be having

the current text window where the command is written

as an editable window, where the user could add options for which

there is no tab in the menu.

I know we can now just cut and paste into an editor, edit there and run the edited command, but if this editing could be done directly in the

Raster tools window, that would enhance operationality.

Associated revisions

Revision dd6a5941 - 2011-10-07 01:26 AM - Giuseppe Sucameli

[FEATURE] Make the gdaltools command editable to fix #3041

Revision 9c6f1c8c - 2011-11-13 11:37 AM - Giuseppe Sucameli

[FEATURE] Make the gdaltools command editable to fix #3041

Conflicts:

python/plugins/GdalTools/__init__.py

    python/plugins/GdalTools/resources.qrc

History

#1 - 2010-09-23 04:33 PM - Giovanni Manghi

agree 100% :)

#2 - 2010-09-24 03:56 AM - alobo -

Yes, this is the way to go!

Agus

#3 - 2011-10-05 01:08 PM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Operating System deleted (Debian)

- Target version deleted (Version 1.7.0)
It seems to have understand that one major problem would be maintain the GUI in sync with the command windows. From a user point of view I would not

mind to loose the sync (maybe after a warning pop-up) if favour of having the command window editable.

#4 - 2011-10-05 02:44 PM - Nathan Woodrow

no popups please, they are a pain in the butt.  I think just disabling all the controls would be the better way to go.  You might also need to add a reset button

so that the user can reset the string back to what the controls had set.

#5 - 2011-10-05 03:55 PM - Alister Hood

It seems to have understand that one major problem would be maintain the GUI in sync with the command windows.

If it is too complicated to allow the user to manually edit the whole command, there could simply be a line edit widget for typing "additional options".

Another thought: If it was possible to manually edit the command, the "Creation options" feature could probably be removed (if the users know what to

insert as a creation option it is probably safe to assume they know to type -co to add creation options).

#6 - 2011-10-05 10:26 PM - Paolo Cavallini

IMO it is better to move the plugin to the new analytical infrastructure, so making major changes to the existing plugin is essentially a waste of time

#7 - 2011-10-06 04:44 PM - Giuseppe Sucameli

- Resolution set to fixed

- Status changed from Open to Closed

Paolo Cavallini wrote:

making major changes to the existing plugin is essentially a waste of time

Without the sync this ticket became a minor enhancement. Done in commit dd6a594178d6d480ff9585fde12fb7987c81e2d1
